| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Private Attributes | List of all members
AlgExecState Class Reference

`#include <GaudiKernel/IAlgExecStateSvc.h>`

Collaboration diagram for AlgExecState:
[legend]

## Public Types
enum | State { None = 0, Executing = 1, Done = 2 }

## Public Member Functions
bool | filterPassed () const
State | state () const
const StatusCode & | execStatus () const
void | setFilterPassed (bool f=true)
void | setState (State s)
void | setState (State s, const StatusCode &sc)
void | setExecStatus (const StatusCode &sc=StatusCode::SUCCESS)
void | reset ()

## Private Attributes
bool | m_filterPassed {true}
State | m_state {State::None}
StatusCode | m_execStatus {StatusCode( StatusCode::FAILURE, true )}

## Detailed Description

Definition at line 27 of file IAlgExecStateSvc.h.

## Member Enumeration Documentation

## ◆ State

enum AlgExecState::State

Enumerator
None |
Executing |
Done |

Definition at line 29 of file IAlgExecStateSvc.h.

29 { None = 0, Executing = 1, Done = 2 };
AlgExecState::Done
Definition: IAlgExecStateSvc.h:29
AlgExecState::Executing
Definition: IAlgExecStateSvc.h:29
AlgExecState::None
Definition: IAlgExecStateSvc.h:29

## Member Function Documentation

## ◆ execStatus()

const StatusCode& AlgExecState::execStatus | ( |  | ) | const
| inline

Definition at line 33 of file IAlgExecStateSvc.h.

33 { return m_execStatus; }
AlgExecState::m_execStatus
StatusCode m_execStatus
Definition: IAlgExecStateSvc.h:47

## ◆ filterPassed()

bool AlgExecState::filterPassed | ( |  | ) | const
| inline

Definition at line 31 of file IAlgExecStateSvc.h.

31 { return m_filterPassed; }
AlgExecState::m_filterPassed
bool m_filterPassed
Definition: IAlgExecStateSvc.h:45

## ◆ reset()

void AlgExecState::reset | ( |  | ) |
| inline

Definition at line 42 of file IAlgExecStateSvc.h.

42 { *this = AlgExecState{}; }
AlgExecState
Definition: IAlgExecStateSvc.h:27

## ◆ setExecStatus()

void AlgExecState::setExecStatus | ( | const StatusCode & | sc = `StatusCode::SUCCESS` | ) |
| inline

Definition at line 41 of file IAlgExecStateSvc.h.

41 { m_execStatus = sc; }
AlgExecState::m_execStatus
StatusCode m_execStatus
Definition: IAlgExecStateSvc.h:47

## ◆ setFilterPassed()

void AlgExecState::setFilterPassed | ( | bool | f = `true` | ) |
| inline

Definition at line 35 of file IAlgExecStateSvc.h.

35 { m_filterPassed = f; }
AlgExecState::m_filterPassed
bool m_filterPassed
Definition: IAlgExecStateSvc.h:45

## ◆ setState() [1/2]

void AlgExecState::setState | ( | State | s | ) |
| inline

Definition at line 36 of file IAlgExecStateSvc.h.

36 { m_state = s; }
AlgExecState::m_state
State m_state
Definition: IAlgExecStateSvc.h:46
gaudirun.s
string s
Definition: gaudirun.py:316

## ◆ setState() [2/2]

void AlgExecState::setState | ( | State | s,
|  | const StatusCode & | sc
| ) |  |
| inline

Definition at line 37 of file IAlgExecStateSvc.h.

37 {
38 m_state = s;
39 m_execStatus = sc;
40 }
AlgExecState::m_state
State m_state
Definition: IAlgExecStateSvc.h:46
gaudirun.s
string s
Definition: gaudirun.py:316
AlgExecState::m_execStatus
StatusCode m_execStatus
Definition: IAlgExecStateSvc.h:47

## ◆ state()

State AlgExecState::state | ( |  | ) | const
| inline

Definition at line 32 of file IAlgExecStateSvc.h.

32 { return m_state; }
AlgExecState::m_state
State m_state
Definition: IAlgExecStateSvc.h:46

## Member Data Documentation

## ◆ m_execStatus

StatusCode AlgExecState::m_execStatus {StatusCode( StatusCode::FAILURE, true )}
| private

Definition at line 47 of file IAlgExecStateSvc.h.

## ◆ m_filterPassed

bool AlgExecState::m_filterPassed {true}
| private

Definition at line 45 of file IAlgExecStateSvc.h.

## ◆ m_state

State AlgExecState::m_state {State::None}
| private

Definition at line 46 of file IAlgExecStateSvc.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IAlgExecStateSvc.h